package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 开通申请对象 sys_apply
 * 
 * @author ruoyi
 * @date 2022-10-26
 */
public class Apply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long applyId;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long userId;

    private String userName;

    private String deptName;

    /** 本系统登录名 */
    @Excel(name = "本系统登录名")
    private String loginName;

    /** 申请时间 */
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 申请类型(1开通2注销) */
    @Excel(name = "申请类型(1开通2注销)")
    private String applyType;

    /** 处理状态(1未处理2已处理) */
    @Excel(name = "处理状态(1未处理2已处理)")
    private String dealStatus;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    private String childDatas;

    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setApplyType(String applyType) 
    {
        this.applyType = applyType;
    }

    public String getApplyType() 
    {
        return applyType;
    }
    public void setDealStatus(String dealStatus) 
    {
        this.dealStatus = dealStatus;
    }

    public String getDealStatus() 
    {
        return dealStatus;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getChildDatas() {
        return childDatas;
    }

    public void setChildDatas(String childDatas) {
        this.childDatas = childDatas;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("applyId", getApplyId())
            .append("userId", getUserId())
            .append("loginName", getLoginName())
            .append("applyTime", getApplyTime())
            .append("applyType", getApplyType())
            .append("dealStatus", getDealStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("status", getStatus())
            .toString();
    }
}
